Docs Menu
Docs Home
/ /
MongoDB Atlas Kubernetes Operator
/

Compatibility

On this page

  • Kubernetes and OpenShift Versions
  • Supported Hardware Architectures

Atlas Kubernetes Operator is compatible with the following versions of Kubernetes and OpenShift.

Atlas Kubernetes Operator

Kubernetes

OpenShift
Base Image
1.7.x
1.22-1.25
4.9-4.12
Red Hat UBI 8 Base Image
1.6.x
1.21, 1.22, 1.23, 1.24
4.8-4.11
Red Hat UBI 8 Base Image
1.5.x
1.21, 1.22, 1.23, 1.24
4.8-4.11
Red Hat UBI 8 Base Image

Kubernetes nodes must be running processors with the x86-64, AMD64, or ARM64 architecture.

← Configure Atlas Kubernetes Operator for Atlas for Government